# Installment Lattices API



<EndpointIndex
  names={[
  	'fetchLatestInstallmentLatticeByQuoteLocator',
  	'fetchInstallmentLatticesByPolicyLocator',
  	'fetchInstallmentLatticeSettings',
  ]}
  titles={{
  	fetchLatestInstallmentLatticeByQuoteLocator:
  		'Fetch an Installment Lattice for a Quote',
  	fetchInstallmentLatticesByPolicyLocator:
  		'Fetch Installment Lattices for a Policy',
  	fetchInstallmentLatticeSettings:
  		'Fetch Settings for an Installment Lattice',
  }}
/>

Fetch an Installment Lattice for a Quote [#fetch-an-installment-lattice-for-a-quote]

<ApiEndpoint name="fetchLatestInstallmentLatticeByQuoteLocator" title="Fetch an Installment Lattice for a Quote" />

Fetch Installment Lattices for a Policy [#fetch-installment-lattices-for-a-policy]

<ApiEndpoint name="fetchInstallmentLatticesByPolicyLocator" title="Fetch Installment Lattices for a Policy" />

<ApiSchema name="InstallmentLatticeListResponse" />

<ApiSchema name="InstallmentLatticeResponse" />

<ApiSchema name="InstallmentLatticeFrame" />

Fetch Settings for an Installment Lattice [#fetch-settings-for-an-installment-lattice]

<ApiEndpoint name="fetchInstallmentLatticeSettings" title="Fetch Settings for an Installment Lattice" />

<ApiSchema name="SettingsResponse" />

<ApiSchema name="InstallmentSettings" />

See Also [#see-also]

* [Installments and Installment Lattices Feature Guide](/features/billing/installments-and-installment-lattices)


## API Reference

GET /billing/{tenantLocator}/installmentLattices/quotes/{quoteLocator} — fetchLatestInstallmentLatticeByQuoteLocator
Tags: installment-lattice-controller
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  quoteLocator (ulid, path, required)
Responses:
  200 InstallmentLatticeResponse — OK

GET /billing/{tenantLocator}/installmentLattices/policies/{policyLocator}/list — fetchInstallmentLatticesByPolicyLocator
Tags: installment-lattice-controller
Permissions: read, list
Parameters:
  tenantLocator (uuid, path, required)
  policyLocator (ulid, path, required)
  offset (integer, query)
  count (integer, query)
  extended (boolean, query)
Responses:
  200 InstallmentLatticeListResponse — OK

GET /billing/{tenantLocator}/settings/{locator} — fetchInstallmentLatticeSettings
Tags: settings-controller
Permissions: read
Parameters:
  tenantLocator (uuid, path, required)
  locator (ulid, path, required)
Responses:
  200 SettingsResponse — OK

InstallmentLatticeListResponse
Properties:
  listCompleted (boolean, required)
  items (InstallmentLatticeResponse[], required)

InstallmentLatticeResponse
Properties:
  locator (ulid, required)
  settingsLocator (ulid)
  createdAt (datetime, required)
  createdBy (uuid, required)
  accountLocator (ulid, required)
  termStartTime (datetime, required)
  termEndTime (datetime, required)
  termLocator (ulid)
  quoteLocator (ulid)
  policyLocator (ulid)
  currency (string, required)
  timezone (string, required)
  basedOnLocator (ulid)
  effectiveTime (datetime, required)
  frames (InstallmentLatticeFrame[], required)
  reversalLattice (boolean, required)

InstallmentLatticeFrame
Properties:
  installmentStartTime (datetime, required)
  installmentEndTime (datetime, required)
  coverageStartTime (datetime, required)
  coverageEndTime (datetime, required)
  installmentDuration (number, required)
  normalizedWeight (number, required)
  coverageDuration (number, required)
  generateTime (datetime, required)
  dueTime (datetime, required)
  autopayTime (datetime, required)

SettingsResponse
Properties:
  locator (ulid, required)
  installmentSettings (InstallmentSettings, required)

InstallmentSettings
Properties:
  cadence (Enum none | fullPay | weekly | everyOtherWeek | monthly | quarterly | semiannually | annually | thirtyDays | everyNDays, required)
  anchorMode (Enum generateDay | termStartDay | dueDay, required)
  generateLeadDays (integer, required)
  dueLeadDays (integer, required)
  installmentWeights (number[], required)
  maxInstallmentsPerTerm (integer)
  anchorType (Enum none | dayOfMonth | anchorTime | dayOfWeek | weekOfMonth)
  dayOfMonth (integer)
  dayOfWeek (Enum monday | tuesday | wednesday | thursday | friday | saturday | sunday)
  weekOfMonth (Enum none | first | second | third | fourth | fifth)
  anchorTime (datetime)
  autopayLeadDays (number)